Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 627166 (binutils-2.29.1-stable) - sys-devel/binutils-2.29.1-r1 sys-libs/binutils-libs-2.29.1-r1 stabilization
Summary: sys-devel/binutils-2.29.1-r1 sys-libs/binutils-libs-2.29.1-r1 stabilization
Status: RESOLVED FIXED
Alias: binutils-2.29.1-stable
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Toolchain Maintainers
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on: 627164 627800 627846 628824 639976 647296
Blocks: 645858
  Show dependency tree
 
Reported: 2017-08-06 09:43 UTC by Sergei Trofimovich (RETIRED)
Modified: 2018-06-02 06:24 UTC (History)
5 users (show)

See Also:
Package list:
sys-devel/binutils-2.29.1-r1 sys-libs/binutils-libs-2.29.1-r1
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Trofimovich (RETIRED) gentoo-dev 2017-08-06 09:43:07 UTC
Bug is for tracking purposes. Discussion should happen in blocking bugs.
Comment 1 Andreas K. Hüttel archtester gentoo-dev 2017-10-18 22:03:04 UTC
Changing the target to sys-devel/binutils-2.29.1-r1

This could be a stable candidate in some time.
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2017-11-17 22:54:27 UTC
All arches please stabilize: 

sys-devel/binutils-2.29.1-r1
sys-libs/binutils-libs-2.29.1-r1

Tests of sys-devel/binutils are supposed to pass.
Comment 3 Sergei Trofimovich (RETIRED) gentoo-dev 2017-11-18 17:48:23 UTC
ia64 stable a bunch of tests fail as usual: fortran ones and --as-needed (bug #541828). Not regressions.
Comment 4 Sergei Trofimovich (RETIRED) gentoo-dev 2017-11-18 19:47:40 UTC
ppc64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2017-11-19 19:20:42 UTC
x86 stable
Comment 6 Sergei Trofimovich (RETIRED) gentoo-dev 2017-11-19 21:21:16 UTC
ppc stable
Comment 7 Manuel Rüger (RETIRED) gentoo-dev 2017-11-20 15:19:13 UTC
Stable on amd64
Comment 8 Tobias Klausmann gentoo-dev 2017-11-23 11:55:32 UTC
Stable on alpha.
Comment 9 Markus Meier gentoo-dev 2017-11-24 06:13:39 UTC
arm stable
Comment 10 Rolf Eike Beer archtester 2017-12-05 20:41:37 UTC
Seems to break libpcap on sparc, see bug 639976.
Comment 11 Andreas K. Hüttel archtester gentoo-dev 2017-12-16 23:18:35 UTC
@hppa: ping :)
Comment 12 Rolf Eike Beer archtester 2017-12-17 13:13:51 UTC
Another regression on sparc: https://sourceware.org/bugzilla/show_bug.cgi?id=22592
Comment 13 Rolf Eike Beer archtester 2017-12-17 13:16:24 UTC
I have test failures on hppa, investigating.
Comment 14 Rolf Eike Beer archtester 2017-12-17 17:47:35 UTC
HPPA error log added to bug 634348
Comment 15 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-27 22:31:10 UTC
hppa stable
Comment 16 Andreas K. Hüttel archtester gentoo-dev 2018-01-01 21:09:41 UTC
@sparc: ping, last arch :)
Comment 17 Rolf Eike Beer archtester 2018-01-08 17:39:52 UTC
There are 2 critical issues on sparc (bug 639976, https://sourceware.org/bugzilla/show_bug.cgi?id=22592) that are regressions compared to 2.28.1. Adding fixes should not do any harm as they are both specific to the sparc backends AFAICT.
Comment 18 Andreas K. Hüttel archtester gentoo-dev 2018-06-01 23:58:53 UTC
Let's skip this version on sparc.